[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Fedora-packaging] PHP packaging policy notes



On Wed, 2006-07-05 at 20:39 +0200, Enrico Scholz wrote:

> Because the Fedora Extras
> packages are for a specific environment (FE4, FE5, devel) only, you
> can be sure that the needed program versions are available there and
> the explicit version is not needed.

And because the intended environment is known, we'd know what Epochs to
use.  The way I look at it, versioned dependencies still have some nice
to have uses, in no particular order (and not implying that support for
these cases should be mandated):

- They serve as a favour to those who try to rebuild and then use such
packages on earlier distro versions than what they're shipped for or
maintained in FE.  For example, although I stick with FC5 at the moment,
I have cherry picked and rebuilt a few things locally from Rawhide and
FE devel, which is helpful when maintaining and testing my packages in
devel.  Another example would be people who are stuck with an old FC
version but would like to locally rebuild something which is available
only in newer FE branches.

- Ditto to those who do that on sufficiently compatible (as in
derivative/"sister" distros) such as RHEL and friends, Aurora etc.

- Package versions in FC do get upgraded during the lifetime of a
version, and some package may require a version of something that was
not sufficiently new in the baseline FC install media but is only
available in updates for that version.  Although in practice the window
may be small and there may be other problems with doing it, omitting the
version can bite people who upgrade from an earlier distro version to
the baseline of the newer one (eg. using install media) instead of going
straight to baseline+updates.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]